# PressureDrop.jl Documentation

```@meta
CurrentModule = PressureDrop
```

PressureDrop.jl is a Julia package for computing multiphase pressure profiles for gas lift optimization of oil & gas wells.

Outlet-referenced models for producing wells using non-coupled temperature gradients are currently supported.

!!! note

    Note that all inputs and calculations are in U.S. field units.

# Contents

```@contents
Pages = [
  "core.md",
  "utilities.md",
  "plotting.md",
  "correlations.md",
  "pvt.md",
  "valves.md"
]
Depth = 2
```
